<?php
	/*
	*by Krite (http://upcoder.net)
	*/
	defined('_IN_JOHNCMS') or die('Error: restricted access');
	if($user_id)
	{
		$textl = 'Удаление статьи';
		require_once('../incfiles/head.php');
		if (empty ($_GET['id']))
		{
			echo '<div class="rmenu">Ощибка!</div>';
			echo '<div class="phdr"><a href="./">Назад</a></div>';
			require_once ("../incfiles/end.php");
			exit;
		}
		$req = mysql_query("SELECT * FROM `".$set['prefblog']."blogs` WHERE `id`='" . $id . "' AND `mod`='0' AND `uid`='".$user_id."' ;");
		if (mysql_num_rows($req) == 0)
		{
			echo '<div class="rmenu">Ощибка!</div>';
			echo '<div class="phdr"><a href="./">Назад</a></div>';
			require_once ("../incfiles/end.php");
			exit;
		}
		$row = mysql_fetch_assoc($req);
		
		if(!$_POST)
		{
			if($set_blogs['mod']==1)echo '<div class="rmenu">Внимание! Включена предмодерация статей</div>';
			echo '<form class="list2" action="index.php?act=edit&amp;id='.$id.'" method="post">';
			echo 'Название:<br />
			<input type="text" name="name" maxlength="150" value="'.$row['name'].'"/><b style="background-color : #d5d5d5;border : 1px solid silver;padding : 0px 3px 0px 3px;">max. 60</b><br />';
			echo 'Текст:<br />
			<textarea rows="4" name="text" style="width: 60%;">'.htmlentities($row['text'], ENT_QUOTES, 'UTF-8').'</textarea><b style="background-color : #d5d5d5;border : 1px solid silver;padding : 0px 3px 0px 3px;">max. 20000</b><br />';
			$res = mysql_query('SELECT * FROM `' .$set['prefblog'] . 'blogs_cat`;');
			echo 'Категория:<br />
			<select name="cat">';
			while($req = mysql_fetch_array($res))
			{
				echo '<option' . ($row['ref'] == $req['id'] ? ' value="'.$req['id'].'" selected="selected">' : ' value="'.$req['id'].'">') . $req['name'] . '</option>';
			}
			echo '</select><br />';
			echo 'Не коментировать: <input type="checkbox" name="komm" value="1" ' . ($row['komm'] ? 'checked="checked"' : '') . ' /><br />';
			echo '<input type="submit" name="submit" value="Изменить"/></form>';
			echo '<div class="gmenu"><a href="index.php?act=view&amp;id='.$id.'">Назад</a></div>';
		}
		else
		{
			$name = check(trim($_POST['name']));
			$text = trim($_POST['text']);
			$cat = intval(trim($_POST['cat']));
			$komm = intval(trim($_POST['komm']));
			
			$error = false;
				
			if (empty($name))
				$error = $error . 'Не введёно название статьи!<br />';
			elseif (mb_strlen($name) < 2 || mb_strlen($name) > 60)
				$error = $error . 'Недопустимая длина названия статьи!<br />';
			if (empty($text))
				$error = $error . 'Не введён текст статьи!<br />';
			elseif (mb_strlen($text) < 2 || mb_strlen($text) > 20000)
				$error = $error . 'Недопустимая длина статьи!<br />';
			if (empty($cat))
				$error = $error . 'Выберите категорию!<br />';
			
			if (empty($error))
			{
				if ($rights < 7)
					$mod = $set_blogs['mod'];
				else
					$mod = 0;
				mysql_query("UPDATE `" . $set['prefblog'] . "blogs` SET
				`ref`='" . $cat . "',
				`name`='" . mysql_real_escape_string($name) . "',
				`text`='" . mysql_real_escape_string($text) . "',
				`komm`='" . $komm . "',
				`mod`='" . $mod . "' WHERE `id`='" . $id . "' AND `uid`='".$user_id."';");
				echo '<div class="menu">Статья измена!</div>';
				if ($rights < 7)
				{
					if($set_blogs['mod']==1)
						echo '<div class="rmenu">Статья будит добавлена после модерации.</div>';
						echo '<div class="gmenu"><a href="./">Назад</a></div>';
				}
				else
				{
					echo '<div class="gmenu"><a href="index.php?act=view&amp;id='.$id.'">Назад</a></div>';
				}
			}
			else
			{
				echo '<div class="menu"><b>ОШИБКА!</b><br />' . $error;
				echo '</div>';
			}
		}
	}
	else
	{
		header('Location: ../?err');
		exit;
	}
?>